Summary: Device mapper utility
Name: device-mapper
Version: 1.02.22
Release: 1%{?dist}
License: GPLv2
Group: System Environment/Base
URL: http://sources.redhat.com/dm
Source0: %{name}.%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libselinux-devel, libsepol-devel
Requires: %{name}-libs = %{version}-%{release}

%define _exec_prefix /

%description
This package contains the supporting userspace utility, dmsetup,
for the kernel device-mapper.

%package devel
Summary: Development libraries and headers for device-mapper
Group: Development/Libraries
License: LGPLv2.1
Requires: %{name} = %{version}-%{release}
Requires: %{name}-libs = %{version}-%{release}
 
%description devel
This package contains files needed to develop applications that use
the device-mapper libraries.

%package libs
Summary: Device-mapper shared library
Group: System Environment/Libraries
License: LGPLv2.1
Obsoletes: device-mapper < 1.02.17-6
 
%description libs
This package contains the device-mapper shared library, libdevmapper.

%prep
%setup -q -n %{name}.%{version}

%build
%define _exec_prefix ""
%configure --enable-static_link --with-user= --with-group= --with-device-uid=0 --with-device-gid=6 --with-device-mode=0660 --enable-pkgconfig
%define _exec_prefix /
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall usrlibdir=$RPM_BUILD_ROOT/usr/%{_lib}

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig 

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB INSTALL INTRO README VERSION WHATS_NEW
%attr(755,root,root) %{_sbindir}/dmsetup
%attr(755,root,root) %{_sbindir}/dmsetup.static
%{_mandir}/man8/dmsetup.8.gz

%files devel
%defattr(-,root,root,-)
%attr(755,root,root) %{_libdir}/libdevmapper.a*
%attr(755,root,root) %{_libdir}/libdevmapper.so
%{_includedir}/libdevmapper.h
/usr/%{_lib}/pkgconfig/*.pc

%files libs
%attr(755,root,root) %{_libdir}/libdevmapper.so.*

%changelog
* Tue Aug 21 2007 Alasdair Kergon <agk@redhat.com> - 1.02.22-1
- Export dm_fclose() and dm_create_dir().
- dm_create_dir() suppresses EROFS mkdir() errors.
- dm_fclose() checks ferror() to catch write failures.
- Update to use autoconf 2.61.

* Thu Aug 09 2007 Alasdair Kergon <agk@redhat.com> - 1.02.21-2
- Clarify GPL licence versions.

* Tue Jul 17 2007 Alasdair Kergon <agk@redhat.com> - 1.02.21-1
- Add tree-based and dependency fields to dmsetup reports.
- Fix default dmsetup report buffering and add --unbuffered.
- Avoid trailing separator in reports when there are hidden sort fields.
- Add regex functions to library.
- Fix segfault in 'dmsetup status' without --showkeys against crypt target.

* Tue Feb 27 2007 Alasdair Kergon <agk@redhat.com> - 1.02.17-7
- The -libs package Obsoletes pre-split packages.

* Wed Feb 14 2007 Alasdair Kergon <agk@redhat.com> - 1.02.17-6
- Move shared library into a separate -libs package.

* Mon Feb 05 2007 Alasdair Kergon <agk@redhat.com> - 1.02.17-5
- Move libdevmapper.so to -devel package.

* Mon Feb 05 2007 Alasdair Kergon <agk@redhat.com> - 1.02.17-4
- Fix -devel Requires.

* Mon Feb 05 2007 Alasdair Kergon <agk@redhat.com> - 1.02.17-3
- Move some files into a separate -devel package.

* Tue Jan 31 2007 Alasdair Kergon <agk@redhat.com> - 1.02.17-2
- Update BuildRoot line.

* Mon Jan 29 2007 Alasdair Kergon <agk@redhat.com> - 1.02.17-1
- Add recent reporting options to dmsetup man page.
- Add dmsetup 'help' command and update usage text.
- Revise some report fields names.
- Use fixed-size fields in report interface and reorder.

* Fri Jan 26 2007 Alasdair Kergon <agk@redhat.com> - 1.02.16-1
- Update dmsetup to use new libdevmapper reporting functionality.

* Wed Jan 17 2007 Alasdair Kergon <agk@redhat.com> - 1.02.15-1
- Add basic reporting functions to libdevmapper.

* Fri Jan 12 2007 Alasdair Kergon <agk@redhat.com> - 1.02.14-2
- Rebuild.

* Thu Jan 11 2007 Alasdair Kergon <agk@redhat.com> - 1.02.14-1
- Use CFLAGS when linking so mixed sparc builds can supply -m64.
- Export dm_basename() and dm_tree_use_no_flush_suspend().
- Cope with a trailing space when comparing tables prior to possible reload.

* Tue Nov 28 2006 Alasdair Kergon <agk@redhat.com> - 1.02.13-1
- Update dmsetup man page (setgeometry & message).
- Suppress encryption key in 'dmsetup table' output unless --showkeys supplied.

* Sat Oct 14 2006 Alasdair Kergon <agk@redhat.com> - 1.02.12-3
- Drop the release suffix.

* Sat Oct 14 2006 Alasdair Kergon <agk@redhat.com> - 1.02.12-2.0
- Append distribution to release.

* Fri Oct 13 2006 Alasdair Kergon <agk@redhat.com> - 1.02.12-1.0
- Smaller upstream source tarball with files for 2.4 kernel removed.
- Avoid deptree attempting to suspend a device that's already suspended.

* Thu Oct 12 2006 Alasdair Kergon <agk@redhat.com> - 1.02.11-1.0
- New upstream with noflush suspend support (NB not in FC kernel yet).

* Tue Sep 19 2006 Alasdair Kergon <agk@redhat.com> - 1.02.10-1.0
- Build new upstream version with numerous fixes.

* Thu Aug 03 2006 Milan Broz <mbroz@redhat.com> - 1.02.07-1.2
- rpmlint cleaning, summary, permissions

* Wed Jul 12 2006 Peter Jones <pjones@redhat.com> - 1.02.07-1.1
- Fix _exec_prefix during %%configure so .pc files have correct paths

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.02.07-1.0.1
- rebuild

* Thu May 11 2006 Alasdair Kergon <agk@redhat.com> - 1.02.07-1.0
- Build new upstream version.

* Wed May 10 2006 Alasdair Kergon <agk@redhat.com> - 1.02.06-1.0
- Minor fixes upstream.

* Sat Apr 22 2006 Alasdair Kergon <agk@redhat.com> - 1.02.05-1.2
- Exclude s390/s390x in order to rebuild.

* Fri Apr 21 2006 Alasdair Kergon <agk@redhat.com> - 1.02.05-1.1
- Rebuild.

* Wed Apr 19 2006 Alasdair Kergon <agk@redhat.com> - 1.02.05-1.0
- New upstream release (incorporates patches).
- Exclude dmeventd (no kernel support yet).

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.02.02-3.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.02.02-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 11 2006 Karel Zak <kzak@redhat.com> - 1.02.02-3
- cleanup selinux patch
- add pkg-config support

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - - 1.02.02-2.1
- rebuilt

* Sun Dec  3 2005 Peter Jones <pjones@redhat.com> - 1.02.02-2
- fix link path for libdevmapper-event.so

* Fri Dec  2 2005 Peter Jones <pjones@redhat.com> - 1.02.02-1
- update to 1.02.02

* Thu Dec  1 2005 Peter Jones <pjones@redhat.com> - 1.01.05-4
- add api call to make device nodes explicitly, rather than the previous
  approach

* Wed Nov 16 2005 Peter Jones <pjones@redha.tcom> - 1.01.05-3
- make device nodes after create/remove/rename, rather than when the library
  exits.

* Thu Oct 13 2005 Florian La Roche <laroche@redhat.com>
- add linking against -lsepol

* Mon Sep 26 2005 Alasdair Kergon <agk@redhat.com> - 1.01.05-1.0
- Dynamically extend libdevmapper ioctl buffer if data doesn't fit.

* Mon Aug 02 2005 Alasdair Kergon <agk@redhat.com> - 1.01.04-1.0
- Fix dmsetup handling with empty table (needed by multipath).

* Mon Jun 13 2005 Alasdair Kergon <agk@redhat.com> - 1.01.03-1.0
- Reinstate selinux support.

* Tue May 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.02-1.0
- Add --exec and --target to dmsetup for initrd convenience.
- Automatically call dm_lib_exit when exiting.

* Tue Mar 29 2005 Alasdair Kergon <agk@redhat.com> - 1.01.01-1.0
- Update dmsetup man page.
- Replicate devmap_name output with dmsetup info -c --noheadings -o name.

* Fri Mar 04 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-1.1
- Rebuild requested for gcc update.

* Mon Jan 17 2005 Alasdair Kergon <agk@redhat.com> - 1.01.00-1
- Update lib interface to make open_count optional.

* Fri Jan 7 2005 Alasdair Kergon <agk@redhat.com> - 1.00.21-1
- Fix (harmless) unintended warning messages.

* Thu Jan 6 2005 Alasdair Kergon <agk@redhat.com> - 1.00.20-1
- Minor fixes and updates - see WHATS_NEW.

* Fri Sep 17 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-2
- Missing BuildRequires. [bz 121133]

* Sat Jul 3 2004 Alasdair Kergon <agk@redhat.com> - 1.00.19-1
- New upstream release fixes device numbers for 2.6 kernels.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed May 26 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-2
- Fix is_selinux_enabled() test

* Mon Apr 19 2004 Alasdair Kergon <agk@redhat.com> - 1.00.17-1
- Fix non-root build with current version of 'install'.
- Incorporate last two selinux patches into tarball.

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 1.00.14-3
- fix linking against libselinux on x86-64

* Thu Apr 15 2004 Jeremy Katz <katzj@redhat.com> - 1.00.14-2
- don't error out if we get ENOTSUP setting the context

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.14-1
- Fix static selinux build.

* Tue Apr 06 2004 Alasdair Kergon <agk@redhat.com> 1.00.13-1
- Set selinux context when doing mknod.

* Mon Apr 05 2004 Alasdair Kergon <agk@redhat.com> 1.00.11-1
- Cleanup build process. Add features: dmsetup targets, event_nr support.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec  5 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-2
- add static lib

* Tue Dec  2 2003 Jeremy Katz <katzj@redhat.com> 1.00.07-1
- Initial build.

